com.tibco.tibjms.admin

## Class LDAPParams

- java.lang.Object
- - com.tibco.tibjms.admin.ThirdPartyParams
  - - com.tibco.tibjms.admin.LDAPParams

-     public class LDAPParams
      extends ThirdPartyParams

  This class represents LDAP parameters.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `LDAP_ALL_GROUPS_FILTER` String parameter for LDAP search filter for finding all groups.
    `static java.lang.String` | `LDAP_ALL_USERS_FILTER` String parameter for LDAP search filter for finding all users.
    `static java.lang.String` | `LDAP_CACHE_ENABLED` Boolean parameter for enabling cahing of LDAP data.
    `static java.lang.String` | `LDAP_CACHE_TTL` Integer parameter for specifying the maximum time (in seconds) that cached LDAP data is retained before it is refreshed.
    `static java.lang.String` | `LDAP_CONNECTION_TYPE` String parameter for specifying the type of connection that the server uses to get LDAP data.
    `static java.lang.String` | `LDAP_DYNAMIC_GROUP_ATTRIBUTE` String parameter for the name of the attibute on the dynamic group object class that holds the name of the group.
    `static java.lang.String` | `LDAP_DYNAMIC_GROUP_CLASS` String parameter for LDAP object class that stores dynamic groups.
    `static java.lang.String` | `LDAP_DYNAMIC_MEM_URL_ATTRIBUTE` String parameter for the attribute of the dynamic LDAP group object that specifies the URLs of the members of the dynamic group.
    `static java.lang.String` | `LDAP_GROUP_BASE_DN` String parameter for LDAP base DN of groups.
    `static java.lang.String` | `LDAP_GROUP_NAME_FILTER` String parameter for LDAP search filter for finding a group with a given group name.
    `static java.lang.String` | `LDAP_GROUP_SCOPE` String parameter for LDAP search scope of groups.
    `static java.lang.String` | `LDAP_principal` String parameter for LDAP admin username.
    `static java.lang.String` | `LDAP_STATIC_GROUP_ATTRIBUTE` String parameter for the name of the attribute on the static group object class that holds the name of the group.
    `static java.lang.String` | `LDAP_STATIC_GROUP_CLASS` String paramter for LDAP object class that stores static groups.
    `static java.lang.String` | `LDAP_STATIC_MEMBER_ATTRIBUTE` String parameter for attribute of an LDAP static group object that specifies the DN fo the members of the group.
    `static java.lang.String` | `LDAP_STATIC_MEMBER_FILTER` String parameter for LDAP search filter for finding static group members.
    `static java.lang.String` | `LDAP_TLS_CACERT_DIR` String parameter for the path of trusted certificate chain that used to sign LDAP server's certificate.
    `static java.lang.String` | `LDAP_TLS_CACERT_FILE` String parameter for trusted certificate that used to sign LDAP server's certificate.
    `static java.lang.String` | `LDAP_TLS_CIPHERS` String parameter for specifying encryption ciphers used between TIBCO EMS server and LDAP server.
    `static java.lang.String` | `LDAP_TLS_CLIENT_CERT` String parameter for specifying TIBCO EMS server's certificate when LDAP server requires client authentication.
    `static java.lang.String` | `LDAP_TLS_CLIENT_KEY` String parameter for specifying TIBCO EMS server's private key when LDAP server requires client authentication.
    `static java.lang.String` | `LDAP_TLS_RAND_FILE` String parameter for specifying file(s) containing random data used to seed the random number generator.
    `static java.lang.String` | `LDAP_URL` String parameter for LDAP server URL.
    `static java.lang.String` | `LDAP_USER_ATTRIBUTE` String parameter for the attribute on the user object class that holds the name of the user.
    `static java.lang.String` | `LDAP_USER_BASE_DN` String parameter for base DN of the LDAP tree that contains the users.
    `static java.lang.String` | `LDAP_USER_CLASS` String parameter for LDAP object class that stores users.
    `static java.lang.String` | `LDAP_USER_NAME_FILTER` String parameter for LDAP search filter for finding a given user name.
    `static java.lang.String` | `LDAP_USER_SCOPE` String parameter for the search scope of user objects.

  - ### Method Summary

    - ### Methods inherited from class com.tibco.tibjms.admin.ThirdPartyParams

      `toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LDAP_URL

          public static final java.lang.String LDAP_URL

      String parameter for LDAP server URL.
      See Also:
        Constant Field Values

    - #### LDAP_principal

          public static final java.lang.String LDAP_principal

      String parameter for LDAP admin username.
      See Also:
        Constant Field Values

    - #### LDAP_USER_CLASS

          public static final java.lang.String LDAP_USER_CLASS

      String parameter for LDAP object class that stores users.
      See Also:
        Constant Field Values

    - #### LDAP_USER_ATTRIBUTE

          public static final java.lang.String LDAP_USER_ATTRIBUTE

      String parameter for the attribute on the user object class that holds the name of the user.
      See Also:
        Constant Field Values

    - #### LDAP_USER_BASE_DN

          public static final java.lang.String LDAP_USER_BASE_DN

      String parameter for base DN of the LDAP tree that contains the users.
      See Also:
        Constant Field Values

    - #### LDAP_USER_SCOPE

          public static final java.lang.String LDAP_USER_SCOPE

      String parameter for the search scope of user objects.
      See Also:
        Constant Field Values

    - #### LDAP_USER_NAME_FILTER

          public static final java.lang.String LDAP_USER_NAME_FILTER

      String parameter for LDAP search filter for finding a given user name.
      See Also:
        Constant Field Values

    - #### LDAP_ALL_USERS_FILTER

          public static final java.lang.String LDAP_ALL_USERS_FILTER

      String parameter for LDAP search filter for finding all users.
      See Also:
        Constant Field Values

    - #### LDAP_GROUP_BASE_DN

          public static final java.lang.String LDAP_GROUP_BASE_DN

      String parameter for LDAP base DN of groups.
      See Also:
        Constant Field Values

    - #### LDAP_GROUP_SCOPE

          public static final java.lang.String LDAP_GROUP_SCOPE

      String parameter for LDAP search scope of groups.
      See Also:
        Constant Field Values

    - #### LDAP_GROUP_NAME_FILTER

          public static final java.lang.String LDAP_GROUP_NAME_FILTER

      String parameter for LDAP search filter for finding a group with a given group name.
      See Also:
        Constant Field Values

    - #### LDAP_ALL_GROUPS_FILTER

          public static final java.lang.String LDAP_ALL_GROUPS_FILTER

      String parameter for LDAP search filter for finding all groups.
      See Also:
        Constant Field Values

    - #### LDAP_STATIC_GROUP_CLASS

          public static final java.lang.String LDAP_STATIC_GROUP_CLASS

      String paramter for LDAP object class that stores static groups.
      See Also:
        Constant Field Values

    - #### LDAP_STATIC_GROUP_ATTRIBUTE

          public static final java.lang.String LDAP_STATIC_GROUP_ATTRIBUTE

      String parameter for the name of the attribute on the static group object class that holds the name of the group.
      See Also:
        Constant Field Values

    - #### LDAP_STATIC_MEMBER_ATTRIBUTE

          public static final java.lang.String LDAP_STATIC_MEMBER_ATTRIBUTE

      String parameter for attribute of an LDAP static group object that specifies the DN fo the members of the group.
      See Also:
        Constant Field Values

    - #### LDAP_STATIC_MEMBER_FILTER

          public static final java.lang.String LDAP_STATIC_MEMBER_FILTER

      String parameter for LDAP search filter for finding static group members.
      See Also:
        Constant Field Values

    - #### LDAP_DYNAMIC_GROUP_CLASS

          public static final java.lang.String LDAP_DYNAMIC_GROUP_CLASS

      String parameter for LDAP object class that stores dynamic groups.
      See Also:
        Constant Field Values

    - #### LDAP_DYNAMIC_GROUP_ATTRIBUTE

          public static final java.lang.String LDAP_DYNAMIC_GROUP_ATTRIBUTE

      String parameter for the name of the attibute on the dynamic group object class that holds the name of the group.
      See Also:
        Constant Field Values

    - #### LDAP_DYNAMIC_MEM_URL_ATTRIBUTE

          public static final java.lang.String LDAP_DYNAMIC_MEM_URL_ATTRIBUTE

      String parameter for the attribute of the dynamic LDAP group object that specifies the URLs of the members of the dynamic group.
      See Also:
        Constant Field Values

    - #### LDAP_CACHE_ENABLED

          public static final java.lang.String LDAP_CACHE_ENABLED

      Boolean parameter for enabling cahing of LDAP data.
      See Also:
        Constant Field Values

    - #### LDAP_CACHE_TTL

          public static final java.lang.String LDAP_CACHE_TTL

      Integer parameter for specifying the maximum time (in seconds) that cached LDAP data is retained before it is refreshed.
      See Also:
        Constant Field Values

    - #### LDAP_CONNECTION_TYPE

          public static final java.lang.String LDAP_CONNECTION_TYPE

      String parameter for specifying the type of connection that the server uses to get LDAP data.
      See Also:
        Constant Field Values

    - #### LDAP_TLS_CACERT_FILE

          public static final java.lang.String LDAP_TLS_CACERT_FILE

      String parameter for trusted certificate that used to sign LDAP server's certificate.
      See Also:
        Constant Field Values

    - #### LDAP_TLS_CACERT_DIR

          public static final java.lang.String LDAP_TLS_CACERT_DIR

      String parameter for the path of trusted certificate chain that used to sign LDAP server's certificate.
      See Also:
        Constant Field Values

    - #### LDAP_TLS_CLIENT_CERT

          public static final java.lang.String LDAP_TLS_CLIENT_CERT

      String parameter for specifying TIBCO EMS server's certificate when LDAP server requires client authentication.
      See Also:
        Constant Field Values

    - #### LDAP_TLS_CLIENT_KEY

          public static final java.lang.String LDAP_TLS_CLIENT_KEY

      String parameter for specifying TIBCO EMS server's private key when LDAP server requires client authentication.
      See Also:
        Constant Field Values

    - #### LDAP_TLS_CIPHERS

          public static final java.lang.String LDAP_TLS_CIPHERS

      String parameter for specifying encryption ciphers used between TIBCO EMS server and LDAP server.
      See Also:
        Constant Field Values

    - #### LDAP_TLS_RAND_FILE

          public static final java.lang.String LDAP_TLS_RAND_FILE

      String parameter for specifying file(s) containing random data used to seed the random number generator.
      See Also:
        Constant Field Values

Copyright © Cloud Software Group, Inc. All rights reserved